# 镜像推送到
version: '3'
services:
  avenue-mysql:
    build:
      context: ./db
    environment:
      MYSQL_ROOT_HOST: "%"
      MYSQL_ROOT_PASSWORD: 1890!Hd1
    restart: always
    container_name: avenue-mysql
    image: avenue-mysql
    ports:
      - 3306:3306
    volumes:
      - ./avenue-mysql:/var/lib/mysql
    command: --lower_case_table_names=1
  avenue-redis:
    container_name: avenue-redis
    image: redis:6.2.6
    restart: always
    command: redis-server --requirepass 1890!Hd1
    ports:
      - 6379:6379

  avenue-upms:
    restart: always
    container_name: avenue-upms
    image: 172.26.7.172:80/library/avenue-upms-biz:4.6.0
    ports:
      - 9999:9999
  avenue-codegen:
    restart: always
    image: 172.26.7.172:80/library/avenue-codegen:4.6.0
    container_name: avenue-codegen
    ports:
      - 5003:5003
